<% if @post.errors.present? %>
  <div class="alert alert danger">
    <% @post.errors.full_messages.each do |msg| %>
      <%= msg %>
    <% end %>
  </div>
<% end %>


<div class="col-md-6">
  <%#= form_with(model: model_name, class: 'form form-horizontal', local: true) do |form| %>
  <%= simple_form_for post, class: 'form form-horizontal', local: true do |form| %>
    <% if post.errors.any? %>
      <div id="error_explanation">
        <h2><%= pluralize(post.errors.count, "error") %> prohibited this post from being saved:</h2>

        <ul>
          <% post.errors.full_messages.each do |message| %>
            <li><%= message %></li>
          <% end %>
        </ul>
      </div>
    <% end %>

    <div class="form-group">
      <%= form.input :title, class: 'form-control' %>
    </div>

    <div class="form-group">
      <%= form.label :body %>
      <%= form.rich_text_area :body %>
    </div>

    <div class="form-group">
      <%= form.label :tag_list, "Tags" %>
      <%= form.text_field :tag_list, value: post.tag_list.to_s,
                          # "data-autolist" => tags, "data-autocomplete-fct" => tags_list_path,
                          "data-role" => "tagsinput" %>
      <%#= form.autocomplete_field :tag_list, autocomplete_tag_name_posts_path,
                            :value => form.object.tag_list.to_s,
                            'data-delimiter' => ',
                            ', 'data-auto-focus' => true,
                            :multiple => true %>
    </div>

    <div class="form-group">
      <%= form.submit post.persisted? ? "Update" : "Save", class: 'btn btn-success' %>
    </div>
  <% end %>
</div>
